Loading...
Searching...
No Matches
dcuserid.h File Reference

type definitions, constants and classes for User Identity Negotiation More...

## Classes

class | UserIdentityNegotiationSubItem
| Abstract base class for User Identity Negotiation user items. More...
class | UserIdentityNegotiationSubItemRQ
| Class for User Identity Negotiation request user item. More...
class | UserIdentityNegotiationSubItemAC
| Class representing a User Identity Negotiation acknowledgement sub item. More...

## Macros

#define | DUL_TYPENEGOTIATIONOFUSERIDENTITY_REQ (unsigned char)0x58
| User Identity Negotiation request always identifies with 0x58.
#define | DUL_TYPENEGOTIATIONOFUSERIDENTITY_ACK (unsigned char)0x59
| User Identity Negotiation acknowledge identifies with 0x59.
#define | numUserIDModes 5
| Number of valid User Identity Negotiaton Modes.

## Enumerations

enum | T_ASC_UserIdentityNegotiationMode { }
| Mode of User Identity Negotiation. More...

## Detailed Description

type definitions, constants and classes for User Identity Negotiation

## Enumeration Type Documentation

## T_ASC_UserIdentityNegotiationMode

enum T_ASC_UserIdentityNegotiationMode

Mode of User Identity Negotiation.

In case of update, don't forget to also update ASC_USER_IDENTITY_MAX_VALUE accordingly.

Enumerator
ASC_USER_IDENTITY_MAX_VALUE | entry always pointing to last valid entry, i.e. max valid number

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0